### Virtual Method

# Gtk CellArea get_preferred_height_for_width

deprecated: 4.10

#### Declaration [src]

    void
    get_preferred_height_for_width (
      GtkCellArea* area,
      GtkCellAreaContext* context,
      GtkWidget* widget,
      int width,
      int* minimum_height,
      int* natural_height
    )

#### Description [src]

Retrieves a cell area’s minimum and natural height if it would be given the specified `width`.

`area` stores some geometrical information in `context` along the way while calling gtk_cell_area_get_preferred_width(). It’s important to perform a series of `gtk_cell_area_get_preferred_width()` requests with `context` first and then call `gtk_cell_area_get_preferred_height_for_width()` on each cell area individually to get the height for width of each fully requested row.

If at some point, the width of a single row changes, it should be requested with `gtk_cell_area_get_preferred_width()` again and then the full width of the requested rows checked again with gtk_cell_area_context_get_preferred_width().

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`context`

  Type: `GtkCellAreaContext`

  The `GtkCellArea`Context which has already been requested for widths.

  The data is owned by the caller of the method.

`widget`

  Type: `GtkWidget`

  The `GtkWidget` where `area` will be rendering.

  The data is owned by the caller of the method.

`width`

  Type: `int`

  The width for which to check the height of this area.

`minimum_height`

  Type: `int*`

  Location to store the minimum height.

  The argument will be set by the function.
  The argument can be `NULL`.

`natural_height`

  Type: `int*`

  Location to store the natural height.

  The argument will be set by the function.
  The argument can be `NULL`.